﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebFormsDemo.WebForm1" %>

<%@ Register Assembly="ThinkGeo.MapSuite.WebForms" Namespace="ThinkGeo.MapSuite.WebForms" TagPrefix="cc1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
        var OnMapCreated = function (map) {
            tgMap = map;
        };

        function ModifyMap() {
            callServer('This is the sent back message');
        };

        function callServer(param) {
            <%= ClientScript.GetCallbackEventReference(this, "param", "receiveServerData", null)%>;
        };

        function receiveServerData(result) {
            // 'result' is the return message            
            var layer = tgMap.getLayer('worldOverlay');            
            layer.redraw(true);
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <table style="width: 100%;">
            <tr>
                <td>
                    <asp:UpdatePanel ID="UpdatePanel1" UpdateMode="Conditional" runat="server">
                        <ContentTemplate>
                            <asp:TextBox ID="TextBox1" runat="server"></asp:TextBox>
                            <asp:Button ID="Button1" runat="server" Text="Datetime" OnClick="Button1_Click" />
                        </ContentTemplate>
                    </asp:UpdatePanel>
                </td>
                <td>
                    <asp:UpdatePanel ID="UpdatePanelMapa" runat="server" UpdateMode="Conditional" ChildrenAsTriggers="false">
                        <ContentTemplate>
                            <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px"></cc1:Map>
                            <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox>
                        </ContentTemplate>
                    </asp:UpdatePanel>

                </td>
                <td></td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td>
                    <asp:UpdatePanel ID="UpdatePanel3" runat="server">
                        <ContentTemplate>
                            <%--<asp:Button ID="Button2" runat="server" Text="This button UpdatePanelMapa.Update()" OnClick="Button2_Click" />--%>
                        </ContentTemplate>
                    </asp:UpdatePanel>

                    <asp:Button ID="Button3" runat="server" Text="This button call back via call back" OnClientClick="ModifyMap();return false;" />
                </td>
                <td>&nbsp;</td>
            </tr>
        </table>
    </form>
</body>
</html>
